#import "../aw.h"

id Button(id parent, const char* caption, int l, int t, int w, int h, SEL func){
    id widget = [[[NSButton alloc] initWithFrame:NSMakeRect( l, t, w, h )] autorelease];
    [widget setButtonType:NSMomentaryPushInButton];
    [widget setBezelStyle: NSRoundedBezelStyle];
    [widget setTitle: [NSString stringWithUTF8String:caption]];
    [widget setTarget: parent];
    if (func) [widget setAction: func];
    [[parent contentView] addSubview:widget];
    return widget;
}

void SetAction(id widget, SEL func) {
    [widget setAction: func];
}