#import "../aw.h"


const char* OpenDialog() {
    NSOpenPanel* widget = [NSOpenPanel openPanel];
    
    // Enable the selection of files in the dialog.
    [widget setCanChooseFiles:YES];
    
    // Change "Open" dialog button to "Select"
    [widget setPrompt:@"Select"];

    if ( [widget runModal] == NSOKButton ) {
        NSString* path = [[widget URL] path];
        return [path UTF8String];
    }
    return "";
}

