#include "../aw.h"


id MainMenuBar() {
    id mbar = [[NSMenu new] autorelease];
    [NSApp setMainMenu: mbar];
    return mbar;
}

id Menu() {
    return [[NSMenuItem new] autorelease];
}

id MenuItem(const char* title, SEL func, const char* key){
    id mitem = [[[NSMenuItem alloc] initWithTitle: [NSString stringWithUTF8String: title]
                                    action: func
                                    keyEquivalent: [NSString stringWithUTF8String: key]]
                                    autorelease];

    return mitem;
}

void AddMenuItem(id parent, id child) {
    [parent addItem: child];
}

id SubMenu() {
    return [[NSMenu new] autorelease];
}
void AddSubMenu(id parent, id child) {
    [parent setSubmenu: child];
}